Bulletin d'alerte Debian

DSA-1058-1 awstats -- Mauvaise vérification des entrées

Date du rapport :
18 mai 2006
Paquets concernés :
awstats
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 364443, Bogue 365909.
Dans la base de données de suivi des bogues (chez SecurityFocus) : Identifiant BugTraq 17844.
Dans le dictionnaire CVE du Mitre : CVE-2006-2237.
Plus de précisions :

Hendrik Weimer a découvert que des requêtes web spécialement conçues permettaient de faire exécuter des commandes arbitraires par awstats, un puissant et complet analyseur de journaux de serveur web.

L'ancienne distribution stable (Woody) n'est pas touchée par ce problème.

Pour l'actuelle distribution stable (Sarge), ce problème a été corrigé dans la version 6.4-1sarge2.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 6.5-2.

Nous vous recommandons de mettre à jour votre paquet awstats.

Corrigé dans :

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/a/awstats/awstats_6.4-1sarge2.dsc
http://security.debian.org/pool/updates/main/a/awstats/awstats_6.4-1sarge2.diff.gz
http://security.debian.org/pool/updates/main/a/awstats/awstats_6.4.orig.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/a/awstats/awstats_6.4-1sarge2_all.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.